Measure logo
REST API ReferenceDashboard APINetwork Requests

Fetch an app's overall network status distribution plot

GET/apps/{id}/networkRequests/plots/overviewStatusCodes

Fetch an app's overall network status distribution plot across all endpoints.

Both versions & version_codes should be present if any one of them is present. from & to will default to a last 24 hours time range if not supplied.

Authorization

bearerAuth
AuthorizationBearer <token>

User access token issued at sign-in. Sent as Authorization: Bearer <access-token> unless cookies are used to send tokens. The /auth/refresh and /auth/signout endpoints expect the session's refresh token in the same header format instead.

In: header

Path Parameters

id*string

App's UUID.

Formatuuid

Query Parameters

from?string

ISO8601 timestamp to include events after this time.

to?string

ISO8601 timestamp to include events before this time.

plot_time_group?string

Time bucketing granularity. One of: minutes, hours, days, months. Defaults to days.

versions?string

List of comma separated version identifier strings.

version_codes?string

List of comma separated version code identifier strings.

os_versions?string

List of comma separated OS version identifier strings.

device_manufacturers?string

List of comma separated device manufacturer identifier strings.

network_providers?string

List of comma separated network provider identifier strings.

network_types?string

List of comma separated network type identifier strings.

network_generations?string

List of comma separated network generation identifier strings.

locales?string

List of comma separated locale identifier strings.

http_methods?string

List of comma separated HTTP method strings.

Response Body

application/json

curl -X GET "https://example.com/apps/497f6eca-6276-4993-bfeb-53cbbbba6f08/networkRequests/plots/overviewStatusCodes"
[  {    "datetime": "2024-01-15",    "total_count": 125000,    "count_2xx": 120625,    "count_3xx": 2000,    "count_4xx": 1250,    "count_5xx": 1125  },  {    "datetime": "2024-01-16",    "total_count": 128000,    "count_2xx": 124480,    "count_3xx": 2304,    "count_4xx": 768,    "count_5xx": 448  }]
Empty
Empty
Empty
Empty
Empty

Think this page can be better?

Open an issue